> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List available secrets

> Retrieve encrypted secrets available to the authenticated client.
Secrets can be filtered by application ID or name. Values are encrypted and require decryption.



## OpenAPI

````yaml /api-reference/services_documented/fastedge_api.yaml get /fastedge/v1/secrets
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: FastEdge Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: Apps
    x-displayName: Apps
  - description: >-
      Binaries are WebAssembly executables that are actually executed when app
      is ran.
    name: Binaries
    x-displayName: Binaries
  - description: Statistics of edge app use
    name: Stats
    x-displayName: Stats
  - description: Secret values that can be used in apps
    name: FastEdge Secrets
    x-displayName: Secrets
  - description: Key-value edge storage for apps
    name: Edge Storage
    x-displayName: Edge Storage
paths:
  /fastedge/v1/secrets:
    get:
      tags:
        - FastEdge Secrets
      summary: List available secrets
      description: >-
        Retrieve encrypted secrets available to the authenticated client.

        Secrets can be filtered by application ID or name. Values are encrypted
        and require decryption.
      operationId: listSecrets
      parameters:
        - description: App ID
          in: query
          name: app_id
          required: false
          schema:
            format: int64
            minimum: 1
            type: integer
        - description: Secret name
          in: query
          name: secret_name
          required: false
          schema:
            maxLength: 255
            minLength: 1
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  count:
                    description: Total number of secrets matching the filters
                    type: integer
                  secrets:
                    items:
                      $ref: '#/components/schemas/secret_short'
                    type: array
                required:
                  - secrets
                  - count
                type: object
          description: >-
            Returns list of available secrets, optionally filtered by
            application or name
        '404':
          description: Requested resource not found
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            secrets = client.fastedge.secrets.list()
            print(secrets.count)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/fastedge\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tsecrets, err := client.Fastedge.Secrets.List(context.TODO(), fastedge.SecretListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", secrets.Count)\n}\n"
components:
  schemas:
    secret_short:
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: The unique identifier of the secret.
        name:
          type: string
          description: The unique name of the secret.
        comment:
          type: string
          description: A description or comment about the secret.
        app_count:
          type: integer
          format: int
          description: The number of applications that use this secret.
          readOnly: true
      required:
        - name
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````